/*  
 *	Viewer_Error.h
 *
 *	QuickDraw 3D 1.6 Sample
 *	Robert Dierkes
 *
 *	 12/22/98	RDD		Created.
 */

#ifndef _HViewer_Error
#define _HViewer_Error

#ifdef __cplusplus
extern "C" {
#endif

#include <Types.h>

void	Error_Alert(	short		iconType,
						char		*pMessage);

Boolean Error_ShowMessage(
						short		resStringIndex);


	#define	USE_DEBUGGING	/* TODO */


	#if defined(USE_DEBUGGING)
		#define		DEBUGGING	1
	#else
		#define		DEBUGGING	0
	#endif

	#if defined(USE_DEBUGGING)  || defined(ERROR_DEBUG_STR)
		#undef	ERROR_DEBUG_STR
		#define	ERROR_DEBUG_STR(s)	debugstr(s)
	#else
		#define	ERROR_DEBUG_STR(s)
	#endif

	#if defined(USE_DEBUGGING)
		#define	DEBUG_ASSERT(x,f)	\
			if ((x) == 0) {	\
				char	msg[256];	\
				sprintf(msg, "%s %s (%d): (%s)", __FILE__, #f, __LINE__, #x);	\
				debugstr(msg);		\
			}
	#else
		#define	DEBUG_ASSERT(x,f)
	#endif

	#if defined(SYSTEM_BEEP)
		#undef	SYSTEM_BEEP
		#define	SYSTEM_BEEP()	System_Beep()
		#include "Viewer_System.h"
	#else
		#define	SYSTEM_BEEP()
	#endif

#ifdef __cplusplus
}
#endif


#endif /* _HViewer_Error */
